org.apache.geode.cache.operations

## Class StopCQOperationContext

- java.lang.Object
- - org.apache.geode.cache.operations.OperationContext
  - - org.apache.geode.cache.operations.QueryOperationContext
    - - org.apache.geode.cache.operations.ExecuteCQOperationContext
      - - org.apache.geode.cache.operations.StopCQOperationContext

- Deprecated.
  since Geode1.0, use `ResourcePermission` instead

      public class StopCQOperationContext
      extends ExecuteCQOperationContext

  Encapsulates a `OperationContext.OperationCode.STOP_CQ` operation for the pre-operation case.
  Since:
    GemFire 5.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.geode.cache.operations.OperationContext

      `OperationContext.OperationCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StopCQOperationContext(java.lang.String cqName, java.lang.String queryString, java.util.Set regionNames)` Deprecated. Constructor for the STOP_CQ operation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `OperationContext.OperationCode` | `getOperationCode()` Deprecated. Return the operation associated with the `OperationContext` object.
    `boolean` | `isPostOperation()` Deprecated. True if the context is for post-operation.

    - ### Methods inherited from class org.apache.geode.cache.operations.ExecuteCQOperationContext

      `getName`

    - ### Methods inherited from class org.apache.geode.cache.operations.QueryOperationContext

      `getQuery, getQueryParams, getQueryResult, getRegionNames, modifyQuery, setPostOperation, setQueryResult, setRegionNames`

    - ### Methods inherited from class org.apache.geode.cache.operations.OperationContext

      `isClientUpdate, isClientUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StopCQOperationContext

          public StopCQOperationContext(java.lang.String cqName,
                                        java.lang.String queryString,
                                        java.util.Set regionNames)

      Deprecated.
      Constructor for the STOP_CQ operation.
      Parameters:
        `cqName` - the name of the continuous query being stopped
        `queryString` - the query string for this operation
        `regionNames` - names of regions that are part of the query string

  - ### Method Detail

    - #### getOperationCode

          public OperationContext.OperationCode getOperationCode()

      Deprecated.
      Return the operation associated with the `OperationContext` object.
      Overrides:
        `getOperationCode` in class `ExecuteCQOperationContext`
      Returns:
        `OperationCode.STOP_CQ`.

    - #### isPostOperation

          public boolean isPostOperation()

      Deprecated.
      True if the context is for post-operation.
      Overrides:
        `isPostOperation` in class `QueryOperationContext`